Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I have a fresh installation of Ubuntu 12.04 x86 and I am trying to install the proprietary driver for my "Radeon HD 3200 Graphics" video card. I know that there are already many threads about this topic, but I did not find a solution for my problem:

For the installation I followed exactly these instructions: What is the correct way to install ATI Catalyst Video Drivers in 12.04 LTS?

During the process I faced these problems: I executed

~$ debconf libstdc++6 dkms libqtgui4 wget execstack libelfg0 dh-modaliases    

and got:

debconf: DbDriver "passwords" warning: could not open
/var/cache/debconf/passwords.dat: Keine Berechtigung
Can't exec "libstdc++6": Datei oder Verzeichnis nicht gefunden at
/usr/share/perl/5.14/IPC/Open3.pm line 186.
open2: exec of libstdc++6 dkms libqtgui4 wget execstack libelfg0 dh-modaliases failed 
at /usr/share/perl5/Debconf/ConfModule.pm line 59

(translation of the German parts: "Keine Berechtigung" means: "no permission"; "Datei oder Verzeichnis nicht gefunden" means: "File or folder not found")

Because I had no idea if it was a big issue, I just continued:

~$ sudo apt-get install ia32-libs

There I got:

Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut       
Statusinformationen werden eingelesen... Fertig
Paket ia32-libs ist nicht verfügbar, wird aber von einem anderen Paket
referenziert. Das kann heißen, dass das Paket fehlt, dass es abgelöst
wurde oder nur aus einer anderen Quelle verfügbar ist.

E: Paket »ia32-libs« hat keinen Installationskandidaten

(Translation: [...] the package ia32-libs is not available but is referenced by an other package [...] E: package »ia32-libs« has no installation candidate)

Once more I went on. The next steps worked quite fine. But when I came to the point:

~$ sudo dpkg -i *.deb  

There I got A popup message, something like

there was a problem with a system application

but in the terminal no errors were reported, also the packages seemed to be installed.

so now the Ati Catalyst Center works

amdcccle

but

fglrxinfo

gave me

X Error of failed request:  BadRequest (invalid request code or no such operation)
  Major opcode of failed request:  139 (ATIFGLEXTENSION)
  Minor opcode of failed request:  66 ()
  Serial number of failed request:  13
  Current serial number in output stream:  13

So there is something wrong. (Also there is not the possibility to enable these nice graphical features - the reason why I installed the proprietary driver)

Because I worked with a completely fresh Installation I don't know how to fix the problem. If anybody could help I would be very tahnkful! =)

share|improve this question
    
I have the exact same problem. The faulty apt-get line isn't the reason for it happening. The fglrx build is just broken :( I just reinstalled my whole system because while tinkering with this i came to a point where i weren't able to recover the system anymore. –  user143114 Mar 24 '13 at 20:51

1 Answer 1

This line is tricky..

debconf libstdc++6 dkms libqtgui4 wget execstack libelfg0 dh-modaliases 

is actually a continuation on for the previous line. So it should be

sudo apt-get install build-essential cdbs fakeroot dh-make debhelper debconf libstdc++6 dkms libqtgui4 wget execstack libelfg0 dh-modaliases

in one line

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.